Name:          xmlenc
Version:       0.53
Release:       12%{?dist}
Summary:       Light-weight XML output library for Java
License:       BSD
#  http://xmlenc.sourceforge.net/
URL:           https://github.com/znerd/xmlenc/
Source0:       https://github.com/znerd/xmlenc/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(org.znerd:znerd-oss-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
# required by enforcer-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildArch:     noarch

%description
This library is a fast stream-based XML output library for Java. 
Main design goals are performance, simplicity and pureness. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n %{name}-%{name}-%{version}

find . -name "*.class" -delete
find . -name ".*" -delete
find . -name "*.jar" -type f -delete

%mvn_file : %{name}
%mvn_alias : "%{name}:%{name}"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.txt THANKS.txt
%license COPYRIGHT.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 0.53-11
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.53-9
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 0.53-7
- fix alias, thanks to Robert Rati

* Mon Jul 01 2013 gil cattaneo <puntogil@libero.it> 0.53-6
- fix requires

* Mon Jul 01 2013 gil cattaneo <puntogil@libero.it> 0.53-5
- switch to XMvn, minor changes to adapt to current guideline

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 0.53-4
- added maven-common-artifact-filters and maven-shared-components as BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.53-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Sep 29 2012 gil cattaneo <puntogil@libero.it> 0.53-1
- Update to 0.53
- Moved to maven build

* Tue Sep 25 2012 gil <puntogil@libero.it> 0.52-11
- Adapted to current guideline
- Added maven pom
- Added %%pre javadoc script

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 29 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-5
- URL now follows standards

* Wed Jan 28 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-4
- Group name fix
- Spec-file cleanup

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-3
- Small javac.targetvm build fix

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-2
- Added dependencies
- Small fixes

* Wed Jan 21 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-1
- Initial package.
